Wireshark-dev: Re: [Wireshark-dev] extcap.c does not build on SUSE 11.3. g_spawn_check_exit_sta
From: Roland Knall <[email protected]>
Date: Mon, 1 Aug 2016 17:02:00 +0200
Hi

No, I've uploaded a new patch to gerrit (https://code.wireshark.org/review/16827), which removes the need for this function. Just fyi, the min glib version to be supported is 2.14.0, and although I'd appreciate a discussion to change that in the future, this patch is a pretty simple fix.

regards
Roland


On Mon, Aug 1, 2016 at 11:35 AM, Dario Lombardo <[email protected]> wrote:
This call exists from glib 2.34. We should add this version as minimum requirement to build extcap.

On Mon, Aug 1, 2016 at 10:34 AM, Anders Broman <[email protected]> wrote:

Hi,

I get

extcap.c:842: undefined reference to `g_spawn_check_exit_status' on SUSe 11.3 with top of trunk.

 

Perhaps we should not build extcap on such an old system?

 

Regards

Anders


___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <[email protected]>
Archives:    https://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
             mailto:[email protected]?subject=unsubscribe


___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <[email protected]>
Archives:    https://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
             mailto:[email protected]?subject=unsubscribe